/*
 * Class EV_UTILITIES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_431 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_431 [] = {0xFF01,1551,430,0xFFFF};
static const EIF_TYPE_INDEX egt_2_431 [] = {0xFF01,430,0xFFFF};
static const EIF_TYPE_INDEX egt_3_431 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_431 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_431 [] = {0xFF01,430,0xFFFF};
static const EIF_TYPE_INDEX egt_6_431 [] = {0xFF01,430,0xFFFF};
static const EIF_TYPE_INDEX egt_7_431 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_431 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_431 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_431 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_431 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_431 [] = {0xFF01,430,0xFFFF};


static const struct desc_info desc_431[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_431), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_431), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_431), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_431), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_431), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_431), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_431), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_431), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_431), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_431), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_431), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_431), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x035D /*430*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_431), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x081B /*1037*/), 7313, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0823 /*1041*/), 7314, 0xFFFFFFFF},
};
void Init431(void)
{
	IDSC(desc_431, 0, 430);
	IDSC(desc_431 + 1, 1, 430);
	IDSC(desc_431 + 32, 517, 430);
}


#ifdef __cplusplus
}
#endif
